IvyResources
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class IvyResources

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyPostResolveTask
                      org.apache.ivy.ant.IvyCacheTask
                          org.apache.ivy.ant.IvyResources

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.tools.ant.types.ResourceCollection

    public class IvyResources

extends IvyCacheTask
implements org.apache.tools.ant.types.ResourceCollection

Field Summary

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IvyResources()`

Method Summary
`void` | `doExecute()` The real logic of task execution after project has been set in the context.
`boolean` | `isFilesystemOnly()`
`java.util.Iterator` | `iterator()`
`void` | `setCache(boolean b)`
`void` | `setDescription(java.lang.String desc)`
`void` | `setLocation(org.apache.tools.ant.Location location)`
`void` | `setProject(org.apache.tools.ant.Project project)`
`void` | `setRefid(org.apache.tools.ant.types.Reference ref)`
`int` | `size()`

Methods inherited from class org.apache.ivy.ant.IvyCacheTask
`getArtifactReports`

Methods inherited from class org.apache.ivy.ant.IvyPostResolveTask
`createConflict, createDependency, createExclude, ensureResolved, getArtifactFilter, getBranch, getConf, getConfsToResolve, getConfsToResolve, getFile, getLog, getModule, getOrganisation, getResolvedModuleId, getResolvedMrid, getResolvedReport, getResolveId, getResolveMode, getRevision, getType, isChanging, isHaltonfailure, isInline, isKeep, isRefresh, isTransitive, isUseOrigin, prepareAndCheck, setBranch, setCache, setChanging, setConf, setFile, setHaltonfailure, setInline, setKeep, setLog, setModule, setOrganisation, setRefresh, setResolveId, setResolveMode, setRevision, setTransitive, setType, setupResolve, setUseOrigin`

Methods inherited from class org.apache.ivy.ant.IvyTask
`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyResources

    public IvyResources()

Method Detail

### setLocation

    public void setLocation(org.apache.tools.ant.Location location)

  Overrides:
    `setLocation` in class `org.apache.tools.ant.ProjectComponent`

### setProject

    public void setProject(org.apache.tools.ant.Project project)

  Overrides:
    `setProject` in class `org.apache.tools.ant.ProjectComponent`

### setDescription

    public void setDescription(java.lang.String desc)

  Overrides:
    `setDescription` in class `org.apache.tools.ant.ProjectComponent`

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference ref)

### setCache

    public void setCache(boolean b)

### isFilesystemOnly

    public boolean isFilesystemOnly()

  Specified by:
    `isFilesystemOnly` in interface `org.apache.tools.ant.types.ResourceCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `org.apache.tools.ant.types.ResourceCollection`

### size

    public int size()

  Specified by:
    `size` in interface `org.apache.tools.ant.types.ResourceCollection`

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD